JNA API 3.3.0

## com.sun.jna
Class Library.Handler

    java.lang.Object
      com.sun.jna.Library.Handler

All Implemented Interfaces:
  InvocationHandler

Enclosing interface:
  Library

    public static class Library.Handler

extends Object
implements InvocationHandler

Field Summary
`(package private) static Method` | `OBJECT_EQUALS`
`(package private) static Method` | `OBJECT_HASHCODE`
`(package private) static Method` | `OBJECT_TOSTRING`

Constructor Summary
`Library.Handler(String libname, Class interfaceClass, Map options)`

Method Summary
`Class` | `getInterfaceClass()`
`String` | `getLibraryName()`
`NativeLibrary` | `getNativeLibrary()`
`Object` | `invoke(Object proxy, Method method, Object[] inArgs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_TOSTRING

    static final Method OBJECT_TOSTRING

### OBJECT_HASHCODE

    static final Method OBJECT_HASHCODE

### OBJECT_EQUALS

    static final Method OBJECT_EQUALS

Constructor Detail

### Library.Handler

    public Library.Handler(String libname,
                           Class interfaceClass,
                           Map options)

Method Detail

### getNativeLibrary

    public NativeLibrary getNativeLibrary()

### getLibraryName

    public String getLibraryName()

### getInterfaceClass

    public Class getInterfaceClass()

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] inArgs)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.